HttpResponse::setData
HttpResponse::setFile
HttpResponse
PHP Manual

# HttpResponse::setETag

Set ETag

### Description

static bool HttpResponse::setETag ( string `$etag` )

Set a custom ETag. Use this only if you know what you're doing.

### Parameters

`etag`

  unquoted string as parameter containing the ETag

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- HttpResponse::getLastModified
- HttpResponse::setLastModified
- HttpResponse::getETag